

CREATE TABLE `a2new_provincia_test` (
  `id_provincia` int(5) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  `provincia` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `a2new_distrito_test` (
  `id_distrito` int(5) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  `distrito` varchar(100) NOT NULL,
  `id_provincia` int(5) NOT NULL,
  FOREIGN KEY (`id_provincia`) REFERENCES `a2new_provincia_test` (`id_provincia`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `a2new_corregimiento_test` (
  `id_corregimiento` int(5) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  `corregimiento` varchar(100) NOT NULL,
  `id_distrito` int(5) NOT NULL,
  FOREIGN KEY (`id_distrito`) REFERENCES `a2new_distrito_test` (`id_distrito`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `a2new_registro_test` (
  `id` int(5) PRIMARY KEY AUTO_INCREMENT NOT NULL,
  `nombre` varchar(150) NOT NULL,
  `id_provincia` int(5) NOT NULL,
  `id_distrito` int(5) NOT NULL,
  `id_corregimiento` int(5) NOT NULL,
  FOREIGN KEY (`id_provincia`) REFERENCES `a2new_provincia_test` (`id_provincia`),
  FOREIGN KEY (`id_distrito`) REFERENCES `a2new_distrito_test` (`id_distrito`),
  FOREIGN KEY (`id_corregimiento`) REFERENCES `a2new_corregimiento_test` (`id_corregimiento`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--

INSERT INTO `a2new_provincia_test` (`provincia`) VALUES
('provincia 1'),
('provincia 2'),
('provincia 3');

INSERT INTO `a2new_distrito_test` (`distrito`, `id_provincia`) VALUES
('distrito A', 1),
('distrito B', 1),
('distrito C', 2),
('distrito D', 2),
('distrito E', 3),
('distrito F', 3);

INSERT INTO `a2new_corregimiento_test` (`corregimiento`, `id_distrito`) VALUES
('corregimiento 1A', 1),
('corregimiento 1B', 2),
('corregimiento 2C', 3),
('corregimiento 2D', 4),
('corregimiento 3E', 5),
('corregimiento 3F', 6);

INSERT INTO `a2new_registro_test` (`nombre`, `id_provincia`, `id_distrito`, `id_corregimiento`) VALUES
('hugo', 1, 1, 1),
('paco', 2, 3, 3),
('luis', 3, 5, 5);




